using UnityEngine;
using TMPro;

public class PlayerCurrencyController : MonoBehaviour
{
    [SerializeField]
    private TextMeshProUGUI text = null;

    private int currencyTotal = 0;

    public void UpdateCurrency(int amount)
    {
        currencyTotal += amount;
        text.text = currencyTotal.ToString();
    }

    public int GetCurrency()
    {
        return currencyTotal;
    }
}
