using UnityEngine;
using UnityEngine.AI;

public class EnemyRotationController : MonoBehaviour
{
    [SerializeField]
    NavMeshAgent navMeshAgent = null;

    [SerializeField]
    Transform coneParent = null;

    // Update is called once per frame
    void Update()
    {
        Vector2 velocity = navMeshAgent.velocity;

        if (velocity.magnitude > 0)
        {
            float angle = Mathf.Atan2(velocity.y, velocity.x) * Mathf.Rad2Deg;
            coneParent.rotation = Quaternion.AngleAxis(angle, Vector3.forward);
        }
        
    }
}
